package com.bocloud.ims.interfaces.resource.sangfor;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.*;

public interface SangforHostService {

    BocloudResult<GridBean<Server>> list(Pager pager);

    BocloudResult<GridBean<Storage>> hostSystemList(Pager pager, RequestContext context);

    BocloudResult<GridBean<SangforIface>> hostIfaceList(Pager pager, RequestContext context);
    BocloudResult<GridBean<SangforAz>> listAz(Pager pager, RequestContext context);
    BocloudResult<GridBean<SangforProject>> listUsers(Pager pager, RequestContext context);

}
